import flask
from backend.passport import passport_required
from flask import current_app, g

ping_page = flask.Blueprint('ping', __name__)
content_type = 'text/plain; charset=utf-8'


@ping_page.route('/ping')
@passport_required
def ping():
    current_app.logger.error(g.passport)
    return flask.Response('ok\n', status=200, content_type=content_type)
